Skip to main content

Sharing

Tags: permissions, sharing

Resource sharing and share-link management

Endpoints

Files

GET /api/v2/w/{workspace_uuid}/sharing/files/{file_id}

Description:

Get public file metadata.

Returns file information if the file is public or the user has access. Supports unauthenticated access for public files.

Authentication: Requires workspace session

Parameters:

  • file_id (Integer)

Response: See SharedFileResponse


Contents

GET /api/v2/w/{workspace_uuid}/sharing/files/{file_id}/contents/{filename}

Description:

Serve file contents for shareable files.

Returns the raw file data if the file is shareable and the user has access. Supports unauthenticated access for public shareable files.

Authentication: Requires workspace session

Parameters:

  • file_id (Integer)
  • filename (String)

Folders

GET /api/v2/w/{workspace_uuid}/sharing/folders/{folder_id}

Description:

Get public folder metadata and file listing.

Returns folder information and list of files if the folder is public or user has access. Supports unauthenticated access for public folders.

Authentication: Requires workspace session

Parameters:

  • folder_id (Integer)
  • page (Integer) — min: 1
  • pageSize (Integer) — min: 1, max: 1000

Response: See SharedFolderResponse


Files

GET /api/v2/w/{workspace_uuid}/sharing/folders/{folder_id}/files

Description:

Get list of files in a public folder.

Alias for GET /sharing/folders/{folder_id} that returns just the file listing.

Authentication: Requires workspace session

Parameters:

  • folder_id (Integer)
  • page (Integer) — min: 1
  • pageSize (Integer) — min: 1, max: 1000

Response: See SharedFolderFilesResponse